#
# Conditional builds:
%bcond_with	libsyncml	# enable experimental SyncML plugin
#
Summary:	Simple PIM application
Summary(pl.UTF-8):	Prosta aplikacja PIM (do zarządzania informacjami osobistymi)
Name:		osmo
Version:	0.2.10
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.gz
# Source0-md5:	a774db748228efee96186158d553ade9
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-libnotify.patch
Patch2:		ac.patch
URL:		http://clayo.org/osmo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libgringotts-devel >= 1.2.1
BuildRequires:	libical-devel >= 0.27
BuildRequires:	libnotify-devel >= 0.4.4
%{?with_libsyncml:BuildRequires:	libsyncml-devel >= 0.4.0}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Osmo is a handy personal organizer which includes calendar, tasks
manager and address book modules. It was designed to be a small, easy
to use and good looking PIM tool to help to manage personal
information. In current state the organizer is quite convenient in use
- for example, user can perform nearly all operations using keyboard.
Also, a lot of parameters are configurable to meet user preferences.
On the technical side, Osmo is GTK+ based tool which use plain XML
database to store all personal data.

%description -l pl.UTF-8
Osmo to podręczny osobisty organizer, zawierający moduły kalendarza,
zarządzania zadaniami i książki adresowej. Został zaprojektowany jako
małe, łatwe w użyciu i dobrze wyglądające narzędzie PIM, mające pomóc
w zarządzaniu informacjami osobistymi. W aktualnym stanie rozwoju
organizer jest w miarę wygodny w użyciu - na przykład można wykonywać
prawie wszystkie operacje z klawiatury. Ponadto większość parametrów
jest konfigurowalna zgodnie z upodobaniami użytkownika. Od strony
technicznej Osmo jest aplikacją opartą na GTK+, wykorzystującą do
przechowywania danych bazę danych w czystym XML-u.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_libsyncml:out}-libsyncml
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TRANSLATORS
%attr(755,root,root) %{_bindir}/osmo
%{_datadir}/%{name}
%{_pixmapsdir}/osmo.png
%{_desktopdir}/osmo.desktop
%{_iconsdir}/hicolor/*/apps/osmo.*
%{_mandir}/man1/osmo.1*
%changelog
* Fri Sep 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/osmo.git;a=log;h=master

* Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6ca18f5
- release 4 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> c351adc
- disable Werror for automake
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 53e599e
- updated gettext BR

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 523cfea
- fixed build with libnotify 0.7
- release 2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 49d25d6
- port to libnotify 0.7

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> c0172a5
- usr/share/sounds/osmo/alram.wav -> /usr/share/osmo/sounds/alarm.wav

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> 8ba9a2c
- /usr/share/sounds/osmo/alram.wav -> /usr/share/osmo/sounds/alarm.wav
- use auto*

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> a1ef726
- 0.2.10
- TODO added

* Wed Nov 04 2009 lisu <lisu@pld-linux.org> 38ca71f
- up to 0.2.8
- chnages in %%files
- new URL

* Sat Jul 26 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 36e4b67
- fix locale name (zh -> zh_CN)
- release 2

* Thu Jul 24 2008 arvenil <arvenil@pld-linux.org> 7d49b7a
- up to 0.2.2
- added libsyncml bcond
- BR: libsyncml-devel
- BR: gettext-devel
- cleanup

* Sat Apr 05 2008 Tomasz Pala <gotar@pld-linux.org> af79908
- upgraded to 0.2.0 (TODO: PLD-ize desktop file)

* Mon Mar 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 3c101df
- pl, more docs and BRs

* Sun Oct 21 2007 aredridel <aredridel@pld-linux.org> 8a13d8e
- added

